Project

General

Profile

Bug #2921

[ nonprism/openshot]: cannot resolve dependency 'mlt-python-bindings'

Marx.FelipeForte - 28 days ago - . Updated 26 days ago.

Status:
in progress
Priority:
bug
Assignee:
-
% Done:

0%


Description

sudo pacman -S openshot

resolving dependencies...
warning: cannot resolve "mlt-python-bindings", a dependency of "openshot" 
:: The following package cannot be upgraded due to unresolvable dependencies:
      openshot

:: Do you want to skip the above package for this upgrade? [y/N] N
error: failed to prepare transaction (could not satisfy dependencies)
:: unable to satisfy dependency 'mlt-python-bindings' required by openshot

Does this have anything to do with the two package versions available for openshot (Libre/Nonprism)?
Currently, this my repo order:

sudo pacman -Sy
:: Synchronizing package databases...
 nonprism is up to date
 nonsystemd is up to date
 libre is up to date
 core is up to date
 extra is up to date
 community is up to date
 pcr is up to date


Files

History

#1

Updated by bill-auger 28 days ago

the nonprism package probably needs an upgrade

$ pacman -Ss mlt-python-bindings

$ pacman -Si openshot | grep -E 'Repository|Depends'
Repository      : nonprism
Version         : 2.4.4-1.nonprism1
Depends On      : mlt-python-bindings  sdl  librsvg  mplayer  pyxdg  python-pyqt5  python-httplib2
                  python-pillow  dvgrab  ladspa  sox  vid.stab  qt5-svg  sdl_image  libopenshot  
                  python-pyzmq  qt5-webkit  python-setuptools  python-requests
Repository      : libre
Version         : 2.5.1-1.parabola1
Depends On      : ffmpeg  mlt  python-pyqt5  python-requests  libopenshot  libopenshot-audio
                  python-pyzmq  qt5-base  qt5-svg  qt5-webkit
#2

Updated by bill-auger 28 days ago

  • Status changed from unconfirmed to confirmed
  • Subject changed from [openshot]: cannot resolve dependency 'mlt-python-bindings' to [ nonprism/openshot]: cannot resolve dependency 'mlt-python-bindings'
#3

Updated by oaken-source 26 days ago

I've attached a patch updating openshot to 2.5.1. If anyone with a non-broken maintainer key could build it please... :)

#4

Updated by oaken-source 26 days ago

  • Status changed from confirmed to in progress

Also available in: Atom PDF